Bug 102523 - Pasting table row containing bookmark causes loss of other bookmarks
Summary: Pasting table row containing bookmark causes loss of other bookmarks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org   
(Show other bugs)
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-16 14:26 UTC by Graham King
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-27 16:37:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham King 2003-08-16 14:26:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Two similar documents, A.sxw and B.sxw, each contain a bibliography in the form
of a table, in which the rows are like this:

+---------------+-----------------------------------------+
| [Smith, 2001] | bla bla bla                             |
+---------------+-----------------------------------------+
| [Jones, 2003] | lksjd flsjklsjf                         |
+---------------+-----------------------------------------+

A bookmark "[Smith 2001]" points to the text "[Smith, 2001]".  Similar bookmarks
exist for other entries.

The 'Smith' row from the table in A.sxw is copied.  A row is inserted in the
table in B.sxw, and the data from A is pasted into it.  The new bookmark "[Smith
2001]" is correctly created in B.sxw.

However, all the other bookmarks in B.sxw with names starting with "[" are lost.

Version-Release number of selected component (if applicable):
openoffice-1.0.1-8

How reproducible:
Always

Steps to Reproduce:
as above
    

Additional info:

Comment 1 Dan Williams 2004-02-27 16:37:13 UTC
Please try current OOo 1.1.0, and reopen if problem still occurs


Note You need to log in before you can comment on or make changes to this bug.